Security Enhanced Linux Reference Policy

# Layer: system

## Module: xdg

Interfaces

### Description:

Freedesktop standard locations (formerly known as X Desktop Group)

### Interfaces:

xdg_cache_content( type )

##### Summary

Mark the selected type as an xdg_cache_type

##### Parameters

Parameter: | Description:
--- | ---
type | Type to give the xdg_cache_type attribute to

xdg_cache_filetrans( domain , private_type , object_class , filename )

##### Summary

Create objects in an xdg_cache directory with an automatic type transition to a specified private type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
private_type | The type of the object to create.
object_class | The class of the object to be created.
filename | Name of the file or directory created

xdg_config_content( type )

##### Summary

Mark the selected type as an xdg_config_type

##### Parameters

Parameter: | Description:
--- | ---
type | Type to give the xdg_config_type attribute to

xdg_config_filetrans( domain , private_type , object_class , filename )

##### Summary

Create objects in an xdg_config directory with an automatic type transition to a specified private type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
private_type | The type of the object to create.
object_class | The class of the object to be created.
filename | Name of the file or directory created

xdg_create_cache_dirs( domain )

##### Summary

Create xdg cache home directories

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access

xdg_create_config_dirs( domain )

##### Summary

Create xdg config home directories

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access

xdg_create_data_dirs( domain )

##### Summary

Create xdg data home directories

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access

xdg_create_downloads( domain )

##### Summary

Create downloaded content

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access

xdg_data_content( type )

##### Summary

Mark the selected type as an xdg_data_type

##### Parameters

Parameter: | Description:
--- | ---
type | Type to give the xdg_data_type attribute to

xdg_data_filetrans( domain , private_type , object_class , filename )

##### Summary

Create objects in an xdg_data directory with an automatic type transition to a specified private type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
private_type | The type of the object to create.
object_class | The class of the object to be created.
filename | Optional name of the file or directory created

xdg_exec_data( domain )

##### Summary

Allow executing the xdg data home files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xdg_generic_user_home_dir_filetrans_cache( domain , object_class , filename )

##### Summary

Create objects in the user home dir with an automatic type transition to the xdg_cache_t type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object_class | The class of the object to be created.
filename | Name of the directory created

xdg_generic_user_home_dir_filetrans_config( domain , object_class , filename )

##### Summary

Create objects in the user home dir with an automatic type transition to the xdg_config_t type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object_class | The class of the object to be created.
filename | Name of the directory created

xdg_generic_user_home_dir_filetrans_data( domain , object_class , filename )

##### Summary

Create objects in the user home dir with an automatic type transition to the xdg_data_t type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object_class | The class of the object to be created.
filename | Name of the directory created

xdg_generic_user_home_dir_filetrans_documents( domain , object_class , filename )

##### Summary

Create objects in the user home dir with an automatic type transition to the xdg_documents_t type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object_class | The class of the object to be created.
filename | Name of the directory created

xdg_generic_user_home_dir_filetrans_downloads( domain , object_class , filename )

##### Summary

Create objects in the user home dir with an automatic type transition to the xdg_downloads_t type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object_class | The class of the object to be created.
filename | Name of the directory created

xdg_generic_user_home_dir_filetrans_music( domain , object_class , filename )

##### Summary

Create objects in the user home dir with an automatic type transition to the xdg_pictures_t type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object_class | The class of the object to be created.
filename | Name of the directory created

xdg_generic_user_home_dir_filetrans_pictures( domain , object_class , filename )

##### Summary

Create objects in the user home dir with an automatic type transition to the xdg_pictures_t type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object_class | The class of the object to be created.
filename | Name of the directory created

xdg_generic_user_home_dir_filetrans_videos( domain , object_class , filename )

##### Summary

Create objects in the user home dir with an automatic type transition to the xdg_videos_t type.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
object_class | The class of the object to be created.
filename | Name of the directory created

xdg_manage_all_cache( domain )

##### Summary

Manage all the xdg cache home files regardless of their specific type

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xdg_manage_all_config( domain )

##### Summary

Manage all the xdg config home files regardless of their specific type

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xdg_manage_all_data( domain )

##### Summary

Manage all the xdg data home files, regardless of their specific type

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xdg_manage_cache( domain )

##### Summary

Manage the xdg cache home files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xdg_manage_config( domain )

##### Summary

Manage the xdg config home files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xdg_manage_data( domain )

##### Summary

Manage the xdg data home files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xdg_manage_documents( domain )

##### Summary

Manage documents content

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access

xdg_manage_downloads( domain )

##### Summary

Manage downloaded content

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access

xdg_manage_music( domain )

##### Summary

Manage music content

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access

xdg_manage_pictures( domain )

##### Summary

Manage pictures content

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access

xdg_manage_videos( domain )

##### Summary

Manage video content

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access

xdg_read_all_cache_files( domain )

##### Summary

Read all xdg_cache_type files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xdg_read_all_config_files( domain )

##### Summary

Read all xdg_config_type files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xdg_read_all_data_files( domain )

##### Summary

Read all xdg_data_type files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xdg_read_cache_files( domain )

##### Summary

Read the xdg cache home files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xdg_read_config_files( domain )

##### Summary

Read the xdg config home files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xdg_read_data_files( domain )

##### Summary

Read the xdg data home files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xdg_read_downloads( domain )

##### Summary

Read downloaded content

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access

xdg_read_music( domain )

##### Summary

Read user music content

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access

xdg_read_pictures( domain )

##### Summary

Read user pictures content

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access

xdg_read_videos( domain )

##### Summary

Read user video content

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access

xdg_relabel_all_cache( domain )

##### Summary

Allow relabeling the xdg cache home files, regardless of their specific type

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xdg_relabel_all_config( domain )

##### Summary

Allow relabeling the xdg config home files, regardless of their specific type

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xdg_relabel_all_data( domain )

##### Summary

Allow relabeling the xdg data home files, regardless of their type

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xdg_relabel_cache( domain )

##### Summary

Allow relabeling the xdg cache home files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xdg_relabel_config( domain )

##### Summary

Allow relabeling the xdg config home files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xdg_relabel_data( domain )

##### Summary

Allow relabeling the xdg data home files

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xdg_relabel_documents( domain )

##### Summary

Allow relabeling the documents resources

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xdg_relabel_downloads( domain )

##### Summary

Allow relabeling the downloads resources

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xdg_relabel_music( domain )

##### Summary

Allow relabeling the music resources

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xdg_relabel_pictures( domain )

##### Summary

Allow relabeling the pictures resources

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xdg_relabel_videos( domain )

##### Summary

Allow relabeling the videos resources

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xdg_search_cache_dirs( domain )

##### Summary

Search through the xdg cache home directories

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xdg_search_config_dirs( domain )

##### Summary

Search through the xdg config home directories

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

xdg_write_downloads( domain )

##### Summary

Write downloaded content

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access

Return